cannot load such file - Nokogiri/nokogiri

570 views
Skip to first unread message

can

unread,
Aug 30, 2021, 9:10:39 AMAug 30
to nokogiri-talk
Hi, I am on macOS Big Sur and installed everything needed to get rails running.
Nokogiri doesn't work for me, when I start the server with "bin/rails server".
This is what I get:

/Library/Ruby/Gems/2.6.0/gems/bootsnap-1.8.1/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in `require': cannot load such file -- nokogiri/nokogiri (LoadError)

Any suggestions?

Mike Dalessio

unread,
Aug 30, 2021, 9:13:06 AMAug 30
to nokogiri-talk
Hi,

This error message is sometimes output if you've upgraded or changed your Ruby version but haven't re-installed Nokogiri. If you're able, please uninstall and re-install Nokogiri.

If that doesn't work please [open an issue here](https://github.com/sparklemotion/nokogiri/issues/new?assignees=&labels=topic%2Finstallation&template=1-installation-difficulties.md&title=%5Binstall%5D) and please make sure to fill out the template so we can help you!

--
You received this message because you are subscribed to the Google Groups "nokogiri-talk" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nokogiri-tal...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/nokogiri-talk/cf87e5cb-a4ca-405c-86ac-34dfd96a988dn%40googlegroups.com.
Reply all
Reply to author
Forward
0 new messages